/*  Project LilBook
    
    Copyright  1994. All Rights Reserved.

    SUBSYSTEM:    lilbook.exe Application
    FILE:         tmaindlg.cpp
    AUTHOR:       Michael C. Laskie


    OVERVIEW
    ========
    Source file for implementation of TMainDlg (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "tmaindlg.h"
#include "lilbkapp.h"


DEFINE_RESPONSE_TABLE1(TMainDlg, TDialog)
//{{TMainDlgRSP_TBL_BEGIN}}
    EV_BN_CLICKED(IDC_CHECKUP, BNClickedCheckUp),
    EV_BN_CLICKED(110, BNClickedSave),
    EV_BN_CLICKED(210, BNClickedDelete),
//{{TMainDlgRSP_TBL_END}}
END_RESPONSE_TABLE;


BOOL nChecked;

//{{TMainDlg Implementation}}


 TMainDlg::TMainDlg (TWindow* parent, TResId resId, TModule* module):
    TDialog(parent, resId, module)
{
    // INSERT>> Your constructor code here.

}


TMainDlg::~TMainDlg ()
{
	Destroy();

	// INSERT>> Your destructor code here.

}


void TMainDlg::BNClickedCheckUp ()
{
    // INSERT>> Your code here.
    nChecked=~nChecked;

}

void TMainDlg::BNClickedSave ()
{
    // INSERT>> Your code here.
    LilBookApp *app = TYPESAFE_DOWNCAST(GetApplication(), LilBookApp);
    if (app)
    {
      app->CmFileSave();
    }

}

void TMainDlg::BNClickedDelete ()
{
    // INSERT>> Your code here.
    LilBookApp *app = TYPESAFE_DOWNCAST(GetApplication(), LilBookApp);
    if (app)
    {
      app->CmDelete();
    }

}

